eID middleware |

# be::portugal::eid::PTEID_ByteArray Class Reference

This class is used to receive/pass bytes array from/to different method in the SDK. More...

Inheritance diagram for be::portugal::eid::PTEID_ByteArray:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ByteArray ()
| PTEID_ByteArray (PTEID_ByteArray bytearray)
| PTEID_ByteArray (byte[] pucData, uint ulSize)
| Constructor - initialize a ByteArray with an array of byte.
void | Append (byte[] pucData, uint ulSize)
| Append data to the byte array.
void | Append (PTEID_ByteArray data)
| Append data to the byte array.
void | Clear ()
| Remove the data from the byte array.
bool | Equals (PTEID_ByteArray data)
| Return true if the content of data is the same as this.
uint | Size ()
| Return the number of bytes in the array.
byte[] | GetBytes ()
| Return the array of bytes in the object.
bool | writeToFile (string csFilePath)
| Writing the binary content to a file.
PTEID_ByteArray | assign (PTEID_ByteArray bytearray)
| Copy content of bytearray.

## Detailed Description

This class is used to receive/pass bytes array from/to different method in the SDK.

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ByteArray::PTEID_ByteArray | ( |  | ) | `[inline]`

be::portugal::eid::PTEID_ByteArray::PTEID_ByteArray | ( | PTEID_ByteArray | bytearray | ) | `[inline]`

be::portugal::eid::PTEID_ByteArray::PTEID_ByteArray | ( | byte[] | pucData,
|  | uint | ulSize |
| ) |  |  | `[inline]`

Constructor - initialize a ByteArray with an array of byte.

Parameters:

  | pucData | the byte array to append
  | ulSize | the size of the array

## Member Function Documentation

void be::portugal::eid::PTEID_ByteArray::Append | ( | PTEID_ByteArray | data | ) | `[inline]`

Append data to the byte array.

void be::portugal::eid::PTEID_ByteArray::Append | ( | byte[] | pucData,
|  | uint | ulSize |
| ) |  |  | `[inline]`

Append data to the byte array.

Parameters:

  | pucData | the byte array to append
  | ulSize | the size of the array

PTEID_ByteArray be::portugal::eid::PTEID_ByteArray::assign | ( | PTEID_ByteArray | bytearray | ) | `[inline]`

Copy content of bytearray.

void be::portugal::eid::PTEID_ByteArray::Clear | ( |  | ) | `[inline]`

Remove the data from the byte array.

override void be::portugal::eid::PTEID_ByteArray::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Object.

bool be::portugal::eid::PTEID_ByteArray::Equals | ( | PTEID_ByteArray | data | ) | `[inline]`

Return true if the content of data is the same as this.

byte [] be::portugal::eid::PTEID_ByteArray::GetBytes | ( |  | ) | `[inline]`

Return the array of bytes in the object.

If Size() == 0, then NULL is returned.

uint be::portugal::eid::PTEID_ByteArray::Size | ( |  | ) | `[inline]`

Return the number of bytes in the array.

bool be::portugal::eid::PTEID_ByteArray::writeToFile | ( | string | csFilePath | ) | `[inline]`

Writing the binary content to a file.